%global srcname bottle-sqlite
Name:           python-%{srcname}
Version:        0.1.3
Release:        3%{?dist}
Summary:        SQLite3 integration for Bottle WSGI framework

Group:          Development/Languages
License:        MIT
URL:            http://bottlepy.org
Source0:        https://files.pythonhosted.org/packages/source/b/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

%description
Bottle-sqlite is a plugin that integrates SQLite3 with your Bottle application.
It automatically connects to a database at the beginning of a request, passes
the database handle to the route callback and closes the connection afterwards.

To automatically detect routes that need a database connection, the plugin
searches for route callbacks that require a db keyword argument (configurable)
and skips routes that do not. This removes any overhead for routes that don't
need a database connection.

%package -n python2-%{srcname}
Summary:	SQLite3 integration for Bottle WSGI framework
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools

Requires:       python2-bottle

%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
Bottle-sqlite is a plugin that integrates SQLite3 with your Bottle application.
It automatically connects to a database at the beginning of a request, passes
the database handle to the route callback and closes the connection afterwards.

To automatically detect routes that need a database connection, the plugin
searches for route callbacks that require a db keyword argument (configurable)
and skips routes that do not. This removes any overhead for routes that don't
need a database connection.

%package -n python3-%{srcname}
Summary: SQLite3 integration for Bottle WSGI framework

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

Requires:       python3-bottle

%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
Bottle-sqlite is a plugin that integrates SQLite3 with your Bottle application.
It automatically connects to a database at the beginning of a request, passes
the database handle to the route callback and closes the connection afterwards.

To automatically detect routes that need a database connection, the plugin
searches for route callbacks that require a db keyword argument (configurable)
and skips routes that do not. This removes any overhead for routes that don't
need a database connection.

%prep
%setup -q -n %{srcname}-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%files -n python2-%{srcname}
%doc PKG-INFO
%{python2_sitelib}/bottle_sqlite.py*
%{python2_sitelib}/bottle_sqlite*.egg-info

%files -n python3-%{srcname}
%doc PKG-INFO
%{python3_sitelib}/bottle_sqlite.py*
%{python3_sitelib}/__pycache__/bottle_sqlite*
%{python3_sitelib}/bottle_sqlite*.egg-info


%changelog
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.1.3-2
- Rebuild for Python 3.6

* Tue Jul 19 2016 Charalampos Stratakis <cstratak@redhat.com> - 0.1.3-1
- Update to 0.1.3
- Modernize SPEC
- Provide python 3 subpackage

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-7
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Jul 18 2011 Rahul Sundaram <sundaram@fedoraproject.org> - 0.1-1
- Initial spec
